Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::tokenize_base_fn Struct Reference
Inheritance diagram for ranges::views::tokenize_base_fn:

## Public Member Functions
template<typename Rng , typename Regex > requires bidirectional_range<Rng> && common_range<Rng> && same_as< // range_value_t<Rng>, // typename detail::decay_t<Regex>::value_type>
tokenize_view< all_t< Rng >, detail::decay_t< Regex >, int > | operator() (Rng &&rng, Regex &&rex, int sub=0, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Rng , typename Regex > requires bidirectional_range<Rng> && common_range<Rng> && same_as<range_value_t<Rng>, typename detail::decay_t<Regex>::value_type>
tokenize_view< all_t< Rng >, detail::decay_t< Regex >, std::initializer_list< int > > | operator() (Rng &&rng, Regex &&rex, std::initializer_list< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Rng , typename Regex > requires bidirectional_range<Rng> && common_range<Rng> && same_as<range_value_t<Rng>, typename detail::decay_t<Regex>::value_type>
tokenize_view< all_t< Rng >, detail::decay_t< Regex >, std::vector< int > > | operator() (Rng &&rng, Regex &&rex, std::vector< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const